#
# spec file for package python-sushy
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-sushy
Version:        1.1.0
Release:        lp151.2.3
Summary:        Sushy is a small Python library to communicate with Redfish based systems
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://docs.openstack.org/sushy
Source0:        https://files.pythonhosted.org/packages/source/s/sushy/sushy-1.1.0.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python-oslotest >= 1.10.0
BuildRequires:  python-pbr >= 2.0.0
BuildRequires:  python-python-subunit >= 0.0.18
BuildRequires:  python-reno >= 1.8.0
BuildRequires:  python-requests >= 2.14.2
BuildRequires:  python-setuptools >= 16.0
BuildRequires:  python-six >= 1.9.0
BuildRequires:  python-testrepository >= 0.0.18
BuildRequires:  python-testscenarios >= 0.4
BuildRequires:  python-testtools >= 1.4.0
Requires:       python-pbr >= 2.0.0
Requires:       python-requests >= 2.14.2
Requires:       python-six >= 1.9.0
BuildArch:      noarch

%description
Sushy is a Python library to communicate with `Redfish` based systems.

%package doc
Summary:        Documentation for OpenStack sushy
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme >= 1.16.0

%description doc
Sushy is a Python library to communicate with `Redfish` based systems.
This package contains the documentation.

%prep
%autosetup -p1 -n sushy-1.1.0
%py_req_cleanup
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%{py2_build}
%{__python2} setup.py build_sphinx --builder=html,man
rm -rf html/.{doctrees,buildinfo}

%install
%{py2_install}

%check
%{__python2} setup.py test

%files
%license LICENSE
%doc AUTHORS ChangeLog README.rst
%{python2_sitelib}/sushy*
%{python2_sitelib}/*.egg-info

%files doc
%doc doc/build/html
%license LICENSE

%changelog
* Wed Feb  7 2018 tbechtold@suse.com
- Initial packaging (version 1.1.0)
